gr::radar::estimator_cw Class Reference

This block estimates the velocity from given peaks of a CW spectrum. The estimator looks for a f32vector tagged with a 'frequency' identifier (symbol) and calculates the velocity with the doppler formula. The identifier (symbol) of the output data is 'velocity'. Needed identifier (symbols) of the input are 'frequency'. More...

`#include <estimator_cw.h>`

Inheritance diagram for gr::radar::estimator_cw:

## Public Types

typedef std::shared_ptr< estimator_cw > | sptr

## Static Public Member Functions

static sptr | make (float center_freq)
| Return a shared_ptr to a new instance of radar::estimator_cw.

## Detailed Description

This block estimates the velocity from given peaks of a CW spectrum. The estimator looks for a f32vector tagged with a 'frequency' identifier (symbol) and calculates the velocity with the doppler formula. The identifier (symbol) of the output data is 'velocity'. Needed identifier (symbols) of the input are 'frequency'.

Parameters

  center_freq | Center frequency

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<estimator_cw> gr::radar::estimator_cw::sptr

## Member Function Documentation

## make()

sptr gr::radar::estimator_cw::make | ( | float | center_freq | ) |

static

Return a shared_ptr to a new instance of radar::estimator_cw.

To avoid accidental use of raw pointers, radar::estimator_cw's constructor is in a private implementation class. radar::estimator_cw::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- estimator_cw.h